summaryrefslogtreecommitdiffstats
path: root/python/simplejson
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2011-06-19 10:43:02 -0400
committer Robby Workman <rworkman@slackbuilds.org>2011-06-19 23:17:06 -0500
commit8f1a53e3e5c10068d24de87c3b825199182b5932 (patch)
tree266cf9086cb291e8f1bd49e9b2dfd61eb5dfda0c /python/simplejson
parent54b61ec21591ae7676c60a8f3f239323c8983513 (diff)
downloadslackbuilds-8f1a53e3e5c10068d24de87c3b825199182b5932.tar.gz
slackbuilds-8f1a53e3e5c10068d24de87c3b825199182b5932.tar.xz
libraries/simplejson: Moved to python.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'python/simplejson')
-rw-r--r--python/simplejson/README7
-rw-r--r--python/simplejson/simplejson.SlackBuild56
-rw-r--r--python/simplejson/simplejson.info10
-rw-r--r--python/simplejson/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/python/simplejson/README b/python/simplejson/README
new file mode 100644
index 0000000000..76e0696fda
--- /dev/null
+++ b/python/simplejson/README
@@ -0,0 +1,7 @@
+Simple, fast, extensible JSON encoder/decoder for Python.
+simplejson is a simple, fast, complete, correct and extensible
+JSON <http://json.org> encoder and decoder for Python 2.4+.
+It is pure Python code, but includes an optional C extension
+for a serious speed boost.
+
+Requires pysetuptools.
diff --git a/python/simplejson/simplejson.SlackBuild b/python/simplejson/simplejson.SlackBuild
new file mode 100644
index 0000000000..0f645b0f22
--- /dev/null
+++ b/python/simplejson/simplejson.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+# Slackware build script for simplejson
+# Written by Larry Hajali <larryhaja[at]gail[dot]com>
+
+PRGNAM=simplejson
+VERSION=${VERSION:-2.1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Lets use the system setuptools rather then ez_setup.
+rm -f ez_setup.py
+
+python setup.py install --root=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a {CHANGES,LICENSE}.txt README.rst PKG-INFO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/simplejson/simplejson.info b/python/simplejson/simplejson.info
new file mode 100644
index 0000000000..7beb45c1ab
--- /dev/null
+++ b/python/simplejson/simplejson.info
@@ -0,0 +1,10 @@
+PRGNAM="simplejson"
+VERSION="2.1.6"
+HOMEPAGE="http://undefined.org/python/#simplejson"
+DOWNLOAD="http://pypi.python.org/packages/source/s/simplejson/simplejson-2.1.6.tar.gz"
+MD5SUM="2f8351f6e6fe7ef25744805dfa56c0d5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/python/simplejson/slack-desc b/python/simplejson/slack-desc
new file mode 100644
index 0000000000..f31e3137ca
--- /dev/null
+++ b/python/simplejson/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+simplejson: simplejson (extensible JSON encoder and decoder for Python)
+simplejson:
+simplejson: Simplejson is a simple, fast, complete, correct and extensible JSON
+simplejson: encoder and decoder for Python 2.3+. It is pure Python code, but
+simplejson: includes an optional C extension for a serious speed boost.
+simplejson:
+simplejson: Homepage: http://undefined.org/python/#simplejson
+simplejson:
+simplejson:
+simplejson:
+simplejson: